package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicAPIInterFaceReturnFormat {

    public static final String JSON = "JSON";
    public static final String FROM = "FROM";
    public static final String JSONORFROM = "JSON/FROM";


    private static DicAPIInterFaceReturnFormat instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicAPIInterFaceReturnFormat(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(JSON, JSON);
        dicMap.put(FROM, FROM);
        dicMap.put(JSONORFROM, JSONORFROM);
    }

    public static DicAPIInterFaceReturnFormat getInstacne(){
        if (instance == null)
        {
            instance = new DicAPIInterFaceReturnFormat();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
